`timescale 1ns / 1ps

//******************************************************************************
//* 2 digites BCD kivon.                                                      *
//******************************************************************************
module bcd_sub_8bit(
   input  wire [7:0] a,          //Kisebbtend (0-99).
   input  wire [7:0] b,          //Kivonand (0-99).
   output wire [7:0] diff        //Klnbsg (a-b)
);

wire half_carry;

bcd_sub_4bit sub1(.a(a[3:0]), .b(b[3:0]), .cin(1'b0), .diff(diff[3:0]), .cout(half_carry));
bcd_sub_4bit sub2(.a(a[7:4]), .b(b[7:4]), .cin(half_carry), .diff(diff[7:4]), .cout());

endmodule
