`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   01:57:05 11/03/2021
// Design Name:   lnko
// Module Name:   E:/Egyetem/vimiaa02/2021/lab/7/lab07_lnko/src/lnko_test.v
// Project Name:  lab07_lnko
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: lnko
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module lnko_test;

	// Inputs
	reg clk;
	reg rst;
	reg start;
	reg [7:0] ai;
	reg lda;
	reg [7:0] bi;
	reg ldb;

	// Outputs
	wire [7:0] ao;
	wire [7:0] bo;
	wire ready;
	wire [2:0] fsm_state;

	// Instantiate the Unit Under Test (UUT)
	lnko uut (
		.clk(clk), 
		.rst(rst), 
		.start(start), 
		.ai(ai), 
		.lda(lda), 
		.bi(bi), 
		.ldb(ldb), 
		.ao(ao), 
		.bo(bo), 
		.ready(ready), 
		.fsm_state(fsm_state)
	);

	initial begin
		// Initialize Inputs
		clk = 0;
		rst = 0;
		start = 0;
		ai = 0;
		lda = 0;
		bi = 0;
		ldb = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		//Alapllapotba llts.
      rst = 1'b1;
      #10;
      rst = 1'b0;
      
      //Az indt jelzs kiadsa.
      #10;
      start = 1'b1;
      #10;
      start = 1'b0;
      
      //Az A operandus betltse.
      ai = 8'd35;
      lda = 1'b1;
      #10;
      lda = 1'b0;
      
      //A B operandus betltse.
      bi = 8'd63;
      ldb = 1'b1;
      #10;
      ldb = 1'b0;
	end
   
   //100 MHz-es rajel.
   always
   begin
      #5;
      clk <= ~clk;
   end
      
endmodule

